# eric7.Plugins.VcsPlugins.vcsMercurial.HgTagBranchListDialog

Module implementing a dialog to show a list of tags or branches.

### Global Attributes

None

### Classes

HgTagBranchListDialog | Class implementing a dialog to show a list of tags or branches.

### Functions

None

## HgTagBranchListDialog

Class implementing a dialog to show a list of tags or branches.

### Derived from

QDialog, Ui_HgTagBranchListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgTagBranchListDialog | Constructor
__closeBranch | Private slot to close the selected branch.
__closeBranchHeads | Private slot to close the selected branches.
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tag item in the tag list.
__highlightCurrentBranch | Private method to highlight the current branch with a bold font.
__processOutputLine | Private method to process the lines of output.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
__switchTo | Private slot to switch the working directory to the selected revision.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the log.
on_tagList_customContextMenuRequested | Private slot to handle the context menu request.
start | Public slot to start the tags command.

### Static Methods

None

#### HgTagBranchListDialog (Constructor)

HgTagBranchListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgTagBranchListDialog.__closeBranch

__closeBranch()

Private slot to close the selected branch.

#### HgTagBranchListDialog.__closeBranchHeads

__closeBranchHeads()

Private slot to close the selected branches.

#### HgTagBranchListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgTagBranchListDialog.__generateItem

__generateItem(revision, changeset, status, name)

Private method to generate a tag item in the tag list.

revision
  revision of the tag/branch (string)
changeset
  changeset of the tag/branch (string)
status
  of the tag/branch (string)
name
  name of the tag/branch (string)

#### HgTagBranchListDialog.__highlightCurrentBranch

__highlightCurrentBranch()

Private method to highlight the current branch with a bold font.

#### HgTagBranchListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgTagBranchListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgTagBranchListDialog.__resort

__resort()

Private method to resort the tree.

#### HgTagBranchListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgTagBranchListDialog.__switchTo

__switchTo()

Private slot to switch the working directory to the selected revision.

#### HgTagBranchListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgTagBranchListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgTagBranchListDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the log.

#### HgTagBranchListDialog.on_tagList_customContextMenuRequested

on_tagList_customContextMenuRequested(pos)

Private slot to handle the context menu request.

pos (QPoint)
  position the context menu was requested at

#### HgTagBranchListDialog.start

start(tags, tagsList, allTagsList)

Public slot to start the tags command.

tags
  flag indicating a list of tags is requested (False = branches, True = tags)
tagsList
  reference to string list receiving the tags (list of strings)
allTagsList
  reference to string list all tags (list of strings)

Up